Subject: bug#16403: Rectangular selection visually disturbing

From: Dani Moncayo <[email-masked]>
Date: Wed, 5 Mar 2025 14:51:50 +0100

On Wed, Mar 5, 2025 at 2:28 PM Michael Heerdegen
<[email-masked]> wrote:
>
> Stefan Monnier via "Bug reports for GNU Emacs, the Swiss army knife of
> text editors" <[email-masked]> writes:
>
> > I can't think of any reason why we couldn't add a config var to disable
> > that thin vertical line.  I find it convenient (tho I agree that the
> > small motion is bar jarring), but that's a question of taste.
>
> It is a bit more than only convenient: for commands like
> `string-rectangle' or `rectangle-number-lines' it is an important guide
> visualizing what one will get.

FWIW: As I said, I dislike the current visual effect of shifting the
text.  And I would definitely prefer _not_ to see _any_ visual
indication of a zero-columns rectangle, if that indication entails
such a visual effect.  That's why I'm asking for a way to configure
the behavior I prefer.

-- 
Dani Moncayo